summaryrefslogtreecommitdiff
path: root/tests/tail-2/pipe-f.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/tail-2/pipe-f.sh')
-rwxr-xr-xtests/tail-2/pipe-f.sh27
1 files changed, 27 insertions, 0 deletions
diff --git a/tests/tail-2/pipe-f.sh b/tests/tail-2/pipe-f.sh
new file mode 100755
index 0000000..7abb7d6
--- /dev/null
+++ b/tests/tail-2/pipe-f.sh
@@ -0,0 +1,27 @@
+#!/bin/sh
+# ensure that :|tail -f doesn't hang, per POSIX
+
+# Copyright (C) 2009-2016 Free Software Foundation, Inc.
+
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+. "${srcdir=.}/tests/init.sh"; path_prepend_ ./src
+print_ver_ tail
+
+echo foo | timeout 10 tail -f -c3 > out || fail=1
+echo oo > exp || fail=1
+
+compare exp out || fail=1
+
+Exit $fail